{% extends 'layout.html' %}

{% block content %}

    <div class="grid flex-col-reverse grid-cols-1 md:grid-cols-2 gap-6">

        <div class="flex flex-col gap-6">
            <h1 class="text-3xl text-yellow text-center">Total</h1>
            {% if total_cost > 0 %}
                <p class="text-3xl text-center">{{ "€ %.2f"|format(total_cost) }}</p>
            {% endif %}

            <div class="flex justify-center gap-8">
                <a href="/cart/purchase" class="button text-grey-dark text-2xl px-8 py-4 bg-yellow rounded-lg">Purchase</a>
            </div>

        </div>

        <div class="grid gap-6 md:-order-1">
            {% if not products %}
            <a class="text-yellow">You do not have any items in your cart.</a>
            {% endif %}
            {% for product in products %}
                <a href="/cart/{{ product['id'] }}/remove" class="grid grid-cols-4 items-center h-max px-8 py-8 bg-grey-light gap-4 rounded-lg">
                    {% if product['picture'] == None %}
                        <div class="w-12 h-12 rounded-md bg-yellow"></div>
                    {% else %}
                        <img class="w-12 h-12 rounded-md" src="https://api.tuks.dev{{ product['picture'] }}" alt="">
                    {% endif %}
                    <div class="col-span-2 flex flex-col">
                        <p class="text-yellow">{{ product['name'] }}</p>
                        <p>{{ "€ %.2f"|format(product['price'] * session['discount']) }}</p>
                    </div>
                    <i class="stroke-red w-12 h-auto" lucide="trash-2"></i>
                </a>
            {% endfor %}
        </div>
    </div>

{% endblock content %}